Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.exist.xmldb
Class RemoteCollectionManagementService

    java.lang.Object
      org.exist.xmldb.RemoteCollectionManagementService

All Implemented Interfaces:
  CollectionManagementService, CollectionManagementServiceImpl, Configurable, Service

public class RemoteCollectionManagementService
extends java.lang.Object
implements CollectionManagementServiceImpl

Field Summary

Fields inherited from interface org.xmldb.api.modules.CollectionManagementService
`SERVICE_NAME`

Constructor Summary
`RemoteCollectionManagementService(RemoteCollection parent, org.apache.xmlrpc.XmlRpcClient client)`

Method Summary
`void` | `copy(java.lang.String collectionPath, java.lang.String destinationPath, java.lang.String newName)`
`void` | `copy(XmldbURI collectionPath, XmldbURI destinationPath, XmldbURI newName)`
`void` | `copyResource(java.lang.String resourcePath, java.lang.String destinationPath, java.lang.String newName)`
`void` | `copyResource(XmldbURI resourcePath, XmldbURI destinationPath, XmldbURI newName)`
`Collection` | `createCollection(java.lang.String collName)` Creates a new `Collection` in the database.
`Collection` | `createCollection(java.lang.String collName, java.util.Date created)`
`Collection` | `createCollection(java.lang.String path, org.w3c.dom.Document configuration)` Implements createCollection from interface CollectionManager.
`Collection` | `createCollection(XmldbURI collName)`
`Collection` | `createCollection(XmldbURI collName, java.util.Date created)`
`java.lang.String` | `getName()` Returns the name associated with the Service instance.
`java.lang.String` | `getProperty(java.lang.String property)` Returns the value of the property identified by `name`.
`java.lang.String` | `getVersion()` Gets the Version attribute of the Service object
`void` | `move(java.lang.String collectionPath, java.lang.String destinationPath, java.lang.String newName)`
`void` | `move(XmldbURI collectionPath, XmldbURI destinationPath, XmldbURI newName)`
`void` | `moveResource(java.lang.String resourcePath, java.lang.String destinationPath, java.lang.String newName)`
`void` | `moveResource(XmldbURI resourcePath, XmldbURI destinationPath, XmldbURI newName)`
`void` | `removeCollection(java.lang.String collName)` Removes a named `Collection` from the system.
`void` | `removeCollection(XmldbURI collName)`
`void` | `setCollection(Collection parent)` Sets the Collection attribute of the Service object
`void` | `setProperty(java.lang.String property, java.lang.String value)` Sets the property `name` to have the value provided in `value`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RemoteCollectionManagementService

    public RemoteCollectionManagementService(RemoteCollection parent,
                                             org.apache.xmlrpc.XmlRpcClient client)

Method Detail

### createCollection

    public Collection createCollection(java.lang.String collName)
                                throws XMLDBException

  Description copied from interface: `CollectionManagementService`
  Creates a new `Collection` in the database. The default configuration of the database is determined by the implementer. The new `Collection` will be created relative to the `Collection` from which the `CollectionManagementService` was retrieved.

  Specified by:
    `createCollection` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### createCollection

    public Collection createCollection(XmldbURI collName)
                                throws XMLDBException

  Specified by:
    `createCollection` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### createCollection

    public Collection createCollection(java.lang.String collName,
                                       java.util.Date created)
                                throws XMLDBException

  Specified by:
    `createCollection` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### createCollection

    public Collection createCollection(XmldbURI collName,
                                       java.util.Date created)
                                throws XMLDBException

  Specified by:
    `createCollection` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### createCollection

    public Collection createCollection(java.lang.String path,
                                       org.w3c.dom.Document configuration)
                                throws XMLDBException

  Implements createCollection from interface CollectionManager. Gets called by some applications based on Xindice.

  Parameters:
    `path` - Description of the Parameter
    `configuration` - Description of the Parameter
  Returns:
    Description of the Return Value
  Throws:
    `XMLDBException` - Description of the Exception

### getName

    public java.lang.String getName()
                             throws XMLDBException

  Description copied from interface: `Service`
  Returns the name associated with the Service instance.

  Specified by:
    `getName` in interface `Service`
  Returns:
    the name of the object.
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### getProperty

    public java.lang.String getProperty(java.lang.String property)

  Description copied from interface: `Configurable`
  Returns the value of the property identified by `name`.

  Specified by:
    `getProperty` in interface `Configurable`
  Parameters:
    `property` - the name of the property to retrieve.
  Returns:
    the property value or null if no property exists.

### getVersion

    public java.lang.String getVersion()
                                throws XMLDBException

  Description copied from interface: `Service`
  Gets the Version attribute of the Service object

  Specified by:
    `getVersion` in interface `Service`
  Returns:
    The Version value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### removeCollection

    public void removeCollection(java.lang.String collName)
                          throws XMLDBException

  Description copied from interface: `CollectionManagementService`
  Removes a named `Collection` from the system. The name for the `Collection` to remove is relative to the `Collection` from which the `CollectionManagementService` was retrieved.

  Specified by:
    `removeCollection` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### removeCollection

    public void removeCollection(XmldbURI collName)
                          throws XMLDBException

  Specified by:
    `removeCollection` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### setCollection

    public void setCollection(Collection parent)
                       throws XMLDBException

  Description copied from interface: `Service`
  Sets the Collection attribute of the Service object

  Specified by:
    `setCollection` in interface `Service`
  Parameters:
    `parent` - The new Collection value
  Throws:
    `XMLDBException` - with expected error codes.
    `ErrorCodes.VENDOR_ERROR` for any vendor specific errors that occur.

### setProperty

    public void setProperty(java.lang.String property,
                            java.lang.String value)

  Description copied from interface: `Configurable`
  Sets the property `name` to have the value provided in `value`.

  Specified by:
    `setProperty` in interface `Configurable`
  Parameters:
    `property` - the name of the property to set.
    `value` - the value to set for the property.

### move

    public void move(java.lang.String collectionPath,
                     java.lang.String destinationPath,
                     java.lang.String newName)
              throws XMLDBException

  Specified by:
    `move` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### move

    public void move(XmldbURI collectionPath,
                     XmldbURI destinationPath,
                     XmldbURI newName)
              throws XMLDBException

  Specified by:
    `move` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### moveResource

    public void moveResource(java.lang.String resourcePath,
                             java.lang.String destinationPath,
                             java.lang.String newName)
                      throws XMLDBException

  Specified by:
    `moveResource` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### moveResource

    public void moveResource(XmldbURI resourcePath,
                             XmldbURI destinationPath,
                             XmldbURI newName)
                      throws XMLDBException

  Specified by:
    `moveResource` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### copy

    public void copy(java.lang.String collectionPath,
                     java.lang.String destinationPath,
                     java.lang.String newName)
              throws XMLDBException

  Specified by:
    `copy` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### copy

    public void copy(XmldbURI collectionPath,
                     XmldbURI destinationPath,
                     XmldbURI newName)
              throws XMLDBException

  Specified by:
    `copy` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### copyResource

    public void copyResource(java.lang.String resourcePath,
                             java.lang.String destinationPath,
                             java.lang.String newName)
                      throws XMLDBException

  Specified by:
    `copyResource` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

### copyResource

    public void copyResource(XmldbURI resourcePath,
                             XmldbURI destinationPath,
                             XmldbURI newName)
                      throws XMLDBException

  Specified by:
    `copyResource` in interface `CollectionManagementServiceImpl`
  Throws:
    `XMLDBException`

Overview | Package | Class | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) Wolfgang Meier. All rights reserved.